Subject: Re: bug#12383: [Patch] Clarify the distinction between "syntax codes" and the cons cells that contain them

From: Chong Yidong <[email-masked]>
Date: Sat, 08 Sep 2012 22:25:15 +0800

Nathan Trapuzzano <[email-masked]> writes:

> The lispref info node on "Syntax Table Internals" uses "syntax code"
> interchangeably to refer to both the car of syntax table elements and
> the elements (cons cells) themselves. This is confusing, for example,
> because the function "syntax-class" throws a wrong-type-argument error
> if its argument is the bare integer syntax code instead of a cons
> cell. I propose the following minor changes:

Thank you for the suggestion.  It is on the right track, but I think the
fix needs to go further.  We need a new terminology for the cons cells
stored in the syntax table.  I think a good name is "raw syntax
descriptors", and I've amended the manual and docstrings accordingly.